import cadquery as cq

cpu_stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)]

lower_stands = cq.Sketch().push(cpu_stand_positions).circle(3, mode="a")

higher_stands = cq.Sketch().push(cpu_stand_positions).circle(2.65 / 2, mode="a")

# This is a holder for DuPont cables so they connect to this
# things' pogo pins which are used to power the CPU

if __name__ == "__main__":

    pin_positions = [(0, 0), (4 * 2.54, 0)]
    width = 5 * 2.54 + 1
    height = 7
    model = (
        cq.Workplane("XY")
        .workplane()
        .box(width, height, 2.54 + 1)
        .faces(">Z")
        .workplane(centerOption="CenterOfBoundBox")
        .center(-width / 2 + 1.3 + .5, 0)
        .placeSketch(cq.Sketch().push(pin_positions).trapezoid(2.60, 10, 90, mode="a"))
        .cutBlind(-2.54)
    )
    cq.exporters.export(model, "pogo_plug.stl")
